Bug 871353 - Broken configuration for httpd 2.4
Broken configuration for httpd 2.4
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: BackupPC (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bernard Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 871373
  Show dependency treegraph
 
Reported: 2012-10-30 06:13 EDT by Remi Collet
Modified: 2013-01-21 22:39 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-05 01:55:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Git formatted patch to fix apache 2.4 configuration (3.24 KB, patch)
2012-12-02 02:50 EST, Johan Cwiklinski
no flags Details | Diff

  None (edit)
Description Remi Collet 2012-10-30 06:13:36 EDT
The provided /etc/httpd/conf.d/BackupPC.conf will not work with httpd 2.4

Here is an example on how to fix this:
http://pkgs.fedoraproject.org/cgit/roundcubemail.git/commit/?id=1e1efeab93c6c75300c25b932222cc48be23a9d3
Comment 1 Johan Cwiklinski 2012-12-02 02:50:49 EST
Created attachment 655895 [details]
Git formatted patch to fix apache 2.4 configuration

The attached patch (you could apply using "git am") provides a new configuration file that should work in both httpd 2.2 and 2.4.

I also have to add two missing BuildRequires in order to have the package built (for F-18 at least).
Comment 2 Bernard Johnson 2012-12-24 18:45:24 EST
modified patch accepted:
 - perl(Data::Dumper) BR already included
 - m4 BR not needed (see bz #879611)
Comment 3 Fedora Update System 2012-12-24 19:06:40 EST
BackupPC-3.2.1-10.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.fc18
Comment 4 Fedora Update System 2012-12-24 19:08:34 EST
BackupPC-3.2.1-10.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.fc17
Comment 5 Fedora Update System 2012-12-24 19:10:09 EST
BackupPC-3.2.1-10.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.el6
Comment 6 Fedora Update System 2012-12-25 15:10:15 EST
Package BackupPC-3.2.1-10.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing BackupPC-3.2.1-10.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13861/BackupPC-3.2.1-10.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-25 20:48:24 EST
BackupPC-3.2.1-10.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/BackupPC-3.2.1-10.el5
Comment 8 Fedora Update System 2013-01-05 01:55:27 EST
BackupPC-3.2.1-10.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-09 17:18:19 EST
BackupPC-3.2.1-10.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-11 18:55:59 EST
BackupPC-3.2.1-10.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-01-21 22:39:16 EST
BackupPC-3.2.1-10.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.